package com.red.circle.other.app.inner.service.activity;

import com.red.circle.framework.dto.PageResult;
import com.red.circle.other.inner.model.dto.activity.RoomContributionActivityCountDTO;
import java.util.List;

/**
 * 房间贡献.
 *
 * @author pengliang on 2023/11/2
 */
public interface RoomContributionActivityCountClientService {


  /**
   * 已领取分页记录.
   *
   * @param roomId    房间id
   * @param current   第几页
   * @param limitSize 每页显示数量
   * @return 结果
   */
  PageResult<RoomContributionActivityCountDTO> pageReceived(Long roomId, Integer current,
      Integer limitSize);

  /**
   * 上周未发放奖励金币的房间流水数据.
   */
  List<RoomContributionActivityCountDTO> listLastWeek();

  /**
   * 当前周房间流水排行榜.
   */
  List<RoomContributionActivityCountDTO> listCurrentWeek(Integer limit);

  /**
   * 指定房间当前周流水数据.
   */
  RoomContributionActivityCountDTO getCurrentWeek(Long roomId);

  /**
   * 标记房间流水奖励金币已发放.
   */
  Boolean updateRewardCoinsSent(String id);

}
